Samba sérülékenységek

CH azonosító

CH-13100

Angol cím

Samba vulnerabilities

Felfedezés dátuma

2016.03.10.

Súlyosság

Közepes

Érintett rendszerek

Samba
Samba Team

Érintett verziók

Samba 3.x
Samba 4.x

Összefoglaló

A Samba két sérülékenység miatt szorul frissítésre. A biztonsági réseken keresztül adatmanipulációkra, adatszivárgásra, illetve szolgáltatásmegtagadási támadásokra is mód adódhat.

Leírás

Az egyik sebezhetőséget a DNS TXT rekordok esetenkénti nem megfelelő kezelése okozza. Ennek következtében memóriakezelési hiba léphet fel, ami végül az érintett szolgáltatás megbénulásához vezethet akkor, ha a Samba szerver DNS és AD tartományvezérlői feladatokat is ellát. (Alapbeállítások mellett a DNS TXT rekordok módosítása korlátozott, ami a kockázatokat csökkenti).

A másik biztonsági hiba az SMB1 UNIX esetében okozhat problémákat, és a symlink kezelést érinti. A sérülékenység lehetőséget adhat az ACL (Access Control List) listák manipulálására.

Megoldás

Frissítsen az alábbi verziók egyikére:
4.4.0rc4, 4.3.6, 4.2.9 vagy 4.1.23